Represents a user profile

### Hierarchy

- Profile

## Index

### Constructors

- constructor

### Properties

- _profile

### Methods

- toJSON
- toToken
- fromToken
- makeZoneFile
- validateProofs
- validateSchema

## Constructors

### constructor

- new Profile(profile?: object): Profile

- - Defined in profiles/profile.ts:22

  #### Parameters

  - ##### Default value profile: object = {}

  #### Returns Profile

## Properties

### _profile

_profile: object

- Defined in profiles/profile.ts:22

#### Type declaration

- ##### [key: string]: any

## Methods

### toJSON

- toJSON(): object

- - Defined in profiles/profile.ts:30

  #### Returns object

  - ##### [key: string]: any

### toToken

- toToken(privateKey: string): Promise<string>

- - Defined in profiles/profile.ts:34

  #### Parameters

  - ##### privateKey: string

  #### Returns Promise<string>

### Static fromToken

- fromToken(token: string, publicKeyOrAddress?: string | null): Promise<Profile>

- - Defined in profiles/profile.ts:43

  #### Parameters

  - ##### token: string

  - ##### Default value publicKeyOrAddress: string | null = null

  #### Returns Promise<Profile>

### Static makeZoneFile

- makeZoneFile(domainName: string, tokenFileURL: string): string

- - Defined in profiles/profile.ts:49

  #### Parameters

  - ##### domainName: string

  - ##### tokenFileURL: string

  #### Returns string

### Static validateProofs

- validateProofs(domainName: string, cheerio: CheerioModuleType): Promise<any[]>

- - Defined in profiles/profile.ts:53

  #### Parameters

  - ##### domainName: string

  - ##### cheerio: CheerioModuleType

  #### Returns Promise<any[]>

### Static validateSchema

- validateSchema(profile: any, strict?: boolean): any

- - Defined in profiles/profile.ts:38

  #### Parameters

  - ##### profile: any

  - ##### Default value strict: boolean = false

  #### Returns any

Generated using TypeDoc